# include <iostream>
# include <vector>
using namespace std;

const long long MAX=2*1e6+11;
long long p[MAX];
vector<long long> d[MAX];
bool del[MAX];

void get_dels(long long i)
{
    del[i]=1;
    long long curr=i;
    while(curr!=1)
    {
        d[i].push_back(p[curr]);
        curr/=p[curr];
        //cout<<curr<<endl;
    }
}

void precomp()
{
    for(long long i=2; i<=2*1e6; i++)
    {
        if(p[i]==0)
        {
            for(long long j=i; j<=2*1e6; j+=i)
            {
                p[j]=i;
            }
        }
    }
}

const long long MAXN=2*1e5+11;
long long a[MAXN];
long long br[MAX];
long long n,k,pr=1;

void add_p(long long curr)
{
    //cout<<"add:"<<curr<<"\n";
    for(long long x: d[curr])
    {
        pr=pr/(br[x]+1)*(br[x]+2);
        br[x]++;
    }
}

void rem_p(long long curr)
{
    for(long long x: d[curr])
    {
        pr=pr/(br[x]+1)*(br[x]);
        br[x]--;
    }
}

int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    precomp();
    cin>>n>>k;
    for(long long i=1; i<=n; i++)
    {
        cin>>a[i];
    }

    long long ans=0,r=1;
    for(long long i=1; i<=n; i++)
    {
        if(r<i) r=i;
        while(r<=n and pr<k)
        {
            if(del[a[r]]==0) get_dels(a[r]);
            add_p(a[r]);
            r++;
        }

        //cout<<i<<" "<<r<<" "<<k<<"\n";
        if(pr>=k and r<=n+1) ans+=n-r+2;
        if(r>i)
        {
            if(del[a[i]]==0) get_dels(a[r]);
            rem_p(a[i]);
        }
    }

    cout<<ans<<"\n";
    return 0;
}
