#include <bits/stdc++.h>
using namespace std;

long long sieve[2000001];
long long a[200001];

vector <pair <long long, long long>> cannon[200001];
 long long global[200001];

 long long divisors = 1, divisors_2 = 1, k;

void cannonize(long long idx) {
    long long num = a[idx];

    while (num != 1) {
        long long div = sieve[num], br = 0;

        while (num % div == 0) {
            br++;
            num /= div;
        }

        cannon[idx].push_back({div, br});
    }
}

bool is_true = 0;

bool add(long long idx) {
    for (int i = 0; i < cannon[idx].size(); i++) { /// {prime, br}
        auto p = cannon[idx][i];
        divisors /= (global[p.first] + 1);
        global[p.first] += p.second;

        long long a = divisors, b = global[p.first] + 1;
        if (a < k / b || (a <= k / b && a % b < k % b)) {
            is_true = 0;
            divisors *= (global[p.first] + 1);
        } else {
            is_true = 1;
            global[p.first] -= p.second;
            divisors *= (global[p.first] + 1);

            for (int j = i - 1; j >= 0; j--) {
                auto q = cannon[idx][j];
                divisors /= (global[q.first] + 1);
                global[q.first] -= q.second;
                divisors *= (global[q.first] + 1);
            }
        }
    }

    return !is_true;
}

void remove(long long idx) {
    for (auto p : cannon[idx]) { /// {prime, br}
        divisors /= (global[p.first] + 1);
        global[p.first] -= p.second;
        divisors *= (global[p.first] + 1);
    }

    //return divisors;
}


int main() {

    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);

    for (long long i = 2; i <= 2000000; i++) {
        if (sieve[i] == 0) {
            for (long long j = i; j <= 2000000; j += i) {
                if (sieve[j] == 0) sieve[j] = i;
            }
        }
    }

    long long n, ans = 0;
    cin >> n >> k;

    for (long long i = 0; i < n; i++) {
        cin >> a[i];
        cannonize(i);

        //cout << a[i] << " : ";
        //for (auto p : cannon[i]) cout << "(" << p.first << ", " << p.second << "); ";
        //cout << endl;
    }

    long long j = -1;

    for (long long i = 0; i < n; i++) {
        while (j + 1 < n && add(j + 1)) {
            j++;
        }

        //if (j + 1 < n) remove(j + 1);
        //cout << i << ' ' << j << ' ' << divisors << endl;
        //for (int i = 2; i <= 100; i++) if (global[i]) cout << i << ' ' << global[i] << ' ';
        //cout << endl;
        ans += n - j - 1;

        if (j < i) {
            add(j + 1);
            j++;
        }

        remove(i);
    }

    cout << ans << endl;
    return 0;

}
