#include <bits/stdc++.h>
using namespace std;

unsigned long long sieve[2000001];
unsigned long long a[200001];

vector <pair <unsigned long long, unsigned long long>> cannon[200001];
unsigned long long global[200001];
int where[2000001];

unsigned long long divisors = 1, divisors2 = 1;

void cannonize(unsigned long long idx) {
    unsigned long long num = a[idx];

    while (num != 1) {
        unsigned long long div = sieve[num], br = 0;

        while (num % div == 0) {
            br++;
            num /= div;
        }

        cannon[idx].push_back({div, br});
    }
}

unsigned long long n, k, ans = 0;

bool add(unsigned long long idx) {
    for (auto p : cannon[idx]) { /// {prime, br}
        //divisors /= (global[p.first] + 1);
        //global[p.first] += p.second;
        //divisors *= (global[p.first] + 1);

        if (where[p.first] == 0) {
            divisors /= global[p.first] + 1;
        } else divisors2 /= global[p.first] + 1;

        global[p.first] += p.second;
        long double a = divisors, b = global[p.first] + 1, K = 1000000000000000000.0;

        if (a >= K / b) {
            divisors2 *= global[p.first] + 1;
            where[p.first] = 1;
        } else {
            divisors *= global[p.first] + 1;
            where[p.first] = 0;
        }
    }

    long double div1 = divisors, div2 = divisors2, K = k;

    return div1 < K / div2;
}

void remove(unsigned long long idx) {
    for (auto p : cannon[idx]) { /// {prime, br}
        //divisors /= (global[p.first] + 1);
        //global[p.first] -= p.second;
        //divisors *= (global[p.first] + 1);

        if (where[p.first] == 0) {
            divisors /= global[p.first] + 1;
        } else divisors2 /= global[p.first] + 1;

        global[p.first] -= p.second;
        long double a = divisors, b = global[p.first] + 1, K = 1000000000000000000.0;

        if (a >= K / b) {
            divisors2 *= global[p.first] + 1;
            where[p.first] = 1;
        } else {
            divisors *= global[p.first] + 1;
            where[p.first] = 0;
        }
    }
}

int main() {

    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);

    for (unsigned long long i = 2; i <= 2000000; i++) {
        if (sieve[i] == 0) {
            for (unsigned long long j = i; j <= 2000000; j += i) {
                if (sieve[j] == 0) sieve[j] = i;
            }
        }
    }

    cin >> n >> k;

    for (long long i = 0; i < n; i++) {
        cin >> a[i];
        cannonize(i);

        //cout << a[i] << " : ";
        //for (auto p : cannon[i]) cout << "(" << p.first << ", " << p.second << "); ";
        //cout << endl;
    }

    long long j = -1;

    for (long long i = 0; i < n; i++) {
        while (j + 1 < n && add(j + 1)) {
            j++;
        }

        if (j + 1 < n) remove(j + 1);
        //cout << i << ' ' << j << endl;
        ans += n - j - 1;

        if (j < i) {
            add(j + 1);
            j++;
        }

        remove(i);
    }

    cout << ans << endl;
    return 0;

}

