#include <bits/stdc++.h>
using namespace std;

long double w[1001];
int mx[1001], v[1001], n;

bool simulate_left(int idx) {
    while (0 < idx && mx[idx] <= w[idx]) {
        w[idx - 1] += w[idx];
        //w[idx] = 0;
        idx--;
    }

    if (idx == 0) {
        if (mx[idx] <= w[idx]) w[idx] = 0;
        return w[idx] == 0;
    }

    return 0;
}

bool simulate_right(int idx) {
    while (idx < n - 1 && mx[idx] <= w[idx]) {
        w[idx + 1] += w[idx];
        //w[idx] = 0;
        idx++;
    }

    if (idx == n - 1) {
        if (mx[idx] <= w[idx]) w[idx] = 0;
        return w[idx] == 0;
    }

    return 0;
}

bool simulate_both(int idx) {
    if (idx == 0) return simulate_right(idx);
    if (idx == n - 1) return simulate_left(idx);

    int l = idx - 1, r = idx + 1;
    w[l] += w[idx] / 2;
    w[r] += w[idx] / 2;
    //w[idx] = 0;

    while (1) {
        if (w[l] < mx[l] && w[r] < mx[r]) return 0;

        if (mx[l] <= w[l] && mx[r] <= w[r]) {
            if (l == 0 && r == n - 1) return 1;

            if (l == 0) {
                w[r + 1] += w[l] + w[r];
                //w[l] = w[r] = 0;
                return simulate_right(r + 1);
            } else if (r == n - 1) {
                w[l - 1] += w[l] + w[r];
                //w[l] = w[r] = 0;
                return simulate_left(l - 1);
            } else {
                w[l - 1] += (w[l] + w[r]) / 2;
                w[r + 1] += (w[l] + w[r]) / 2;
                //w[l] = w[r] = 0;
                l--;
                r++;
            }
        } else if (mx[l] <= w[l]) {
            if (l == 0) {
                w[r] += w[l];
                //w[l] = 0;
                return simulate_right(r);
            } else {
                w[l - 1] += w[l] / 2;
                w[r] += w[l] / 2;
                //w[l] = 0;
                l--;
            }
        } else if (mx[r] <= w[r]) {
            if (r == n - 1) {
                w[l] += w[r];
                //w[r] = 0;
                return simulate_left(l);
            } else {
                w[l] += w[r] / 2;
                w[r + 1] += w[r] / 2;
                //w[r] = 0;
                r++;
            }
        }

        //cout << l << ' ' << r << endl;
    }

    return 0;
}

int main() {

    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);

    int sum_w = 0, sum_mx = 0;

    cin >> n;
    for (int i = 0; i < n; i++) {
        cin >> v[i];
        sum_w += v[i];
    }

    for (int i = 0; i < n; i++) {
        cin >> mx[i];
        sum_mx += mx[i];
    }

    //for (int i = 0; i < n; i++) w[i] = v[i];
    //w[0] += 4;

    //cout << simulate_both(0) << endl;
    //for (int i = 0; i < n; i++) cout << w[i] << ' ';

    for (int i = 0; i < n; i++) {
        int ans = -1;
        int l = 0, r = sum_mx;

        while (l <= r) {
            int m = (l + r) / 2;
            for (int j = 0; j < n; j++) w[j] = v[j];
            w[i] += m;

            if (simulate_both(i)) {
                ans = m;
                r = m - 1;
            } else l = m + 1;
        }

        cout << ans << ' ';
    }

    return 0;

}
