#include <bits/stdc++.h>
using namespace std;

const int MAXN=200001;
const int MAXVALUE=2000001;
long long N, K;
int A[MAXN];
int Divisor_Counter[MAXVALUE];
vector<int> Primes;
bool Prime[MAXVALUE];

void Sieve()
{
    Prime[0]=true;
    Prime[1]=true;

    for(int Div=2; Div*Div<MAXVALUE; Div++)
    {
        if(Prime[Div])
        {
            continue;
        }

        for(int Value=Div*Div; Value<MAXVALUE; Value+=Div)
        {
            Prime[Value]=true;
        }
    }

    for(int i=1; i<MAXVALUE; i++)
    {
        if(!Prime[i])
        {
            ///cout << i << " ";
            Primes.push_back(i);
        }
    }
}

void FastEJOI()
{
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
}

void Read()
{
    cin >> N >> K;

    for(int i=0; i<N; i++)
    {
        cin >> A[i];
    }
}

void Solve()
{
    int j=0;
    long long Curr=1;
    long long Answer=0;

    for(int i=0; i<N; i++)
    {
        if(i>0)
        {
            Curr/=2;
        }

        if(Curr>=K)
        {
            Answer+=(N-j+1);
            continue;
        }

        while(j<N && Curr<K)
        {
            Curr*=2;
            j++;
        }

        if(Curr>=K)
        {
            Answer+=(N-j+1);
        }
    }

    cout << Answer;
}

/*
0 3
1 4
2 5
3 6
4 7
5 8
*/

int main()
{
    FastEJOI();
    Read();
    Sieve();
    Solve();
    return 0;
}

