#include <bits/stdc++.h>
using namespace std;

const int MAXN=200001;
const int MAXVALUE=4000001;
long long N, K;
int A[MAXN];
int Divisor_Counter[MAXVALUE];
vector<int> Primes;
bool Prime[MAXVALUE];
long long Curr=1;

void Sieve()
{
    Prime[0]=true;
    Prime[1]=true;

    for(int Div=2; Div*Div<MAXVALUE; Div++)
    {
        if(Prime[Div])
        {
            continue;
        }

        Primes.push_back(Div);

        for(int Value=Div*Div; Value<MAXVALUE; Value+=Div)
        {
            Prime[Value]=true;
        }
    }
}

void FastEJOI()
{
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
}

void Read()
{
    cin >> N >> K;

    for(int i=0; i<N; i++)
    {
        cin >> A[i];
    }
}

void Remove_Divs(int Value)
{
    for(auto& Div:Primes)
    {
        if(Div*Div>Value)
        {
            break;
        }

        while(Value%Div==0)
        {
            Curr-=(Curr/(Divisor_Counter[Div]+1));
            Divisor_Counter[Div]--;
            Value/=Div;
        }
    }

    if(Value!=1)
    {
        Curr-=(Curr/(Divisor_Counter[Value]+1));
        Divisor_Counter[Value]--;
    }
}

void Add_Divs(int Value)
{
    for(auto& Div:Primes)
    {
        if(Div*Div>Value)
        {
            break;
        }

        while(Value%Div==0)
        {
            Curr+=(Curr/(Divisor_Counter[Div]+1));
            Divisor_Counter[Div]++;
            Value/=Div;
        }
    }

    if(Value!=1)
    {
        Curr+=(Curr/(Divisor_Counter[Value]+1));
        Divisor_Counter[Value]++;
    }
}

void Solve()
{
    long long Ans=0;
    int j=0;

    for(int i=0; i<N; i++)
    {
        if(i>0)
        {
            if(A[i-1]!=1)
            {
                Remove_Divs(A[i-1]);
            }
        }

        if(Curr>=K)
        {
            Ans+=(N-j+1);
            continue;
        }

        while(j<N && Curr<K)
        {
            if(A[j]!=1)
            {
                Add_Divs(A[j]);
            }
            j++;
        }

        if(Curr>=K)
        {
            Ans+=(N-j+1);
        }
    }

    cout << Ans;
}

/*
0 3
1 4
2 5
3 6
4 7
5 8
*/
/// 15000

int main()
{
    FastEJOI();
    Read();
    Sieve();
    Solve();
    return 0;
}

