#include <bits/stdc++.h>
using namespace std;

const int MAXN=1001;
int N;
int W[MAXN], M[MAXN];

void FastEJOI()
{
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
}

void Read()
{
    cin >> N;

    for(int i=0; i<N; i++)
    {
        cin >> W[i];
    }

    for(int i=0; i<N; i++)
    {
        cin >> M[i];
    }
}

bool Check(double Weight, int Start)
{
    ///cout << Weight << " ";
    if(Weight+W[Start]<M[Start])
    {
        return false;
    }

    int L=Start-1, R=Start+1;
    Weight+=W[Start];
    double Wl=Weight/2, Wr=Weight/2;

    if(Start==0)
    {
        Wl=0;
        Wr=Weight;
    }

    if(Start==N-1)
    {
        Wr=0;
        Wl=Weight;
    }
    ///cout << Weight << " ";

    while(L>=0 || R<N)
    {
        if(L>=0)
        {
            if(Wl+W[L]>=M[L])
            {
                Wl+=W[L];
                L--;
            }
            else
            {
                return false;
            }
        }

        if(R<N)
        {
            if(Wr+W[R]>=M[R])
            {
                Wr+=W[R];
                R++;
            }
            else
            {
                return false;
            }
        }
    }

    return true;
}

void bs(int Start)
{
    int l=0, r=1000000000;
    int mid;
    int ans=-1;

    while(l<=r)
    {
        mid=(l+r)/2;

        if(Check(mid, Start))
        {
            ans=mid;
            r=mid-1;
        }
        else
        {
            l=mid+1;
        }
    }

    cout << ans << " ";

    Check(4, 1);
}

void Solve()
{
    for(int i=0; i<N; i++)
    {
        bs(i);
    }
}

int main()
{
    FastEJOI();
    Read();
    Solve();
    return 0;
}
