#include <bits/stdc++.h>
using namespace std;

const int MAXN=1001;
int N;
double W[MAXN], M[MAXN];
bool Broken[MAXN];
long double Total[MAXN];

void FastEJOI()
{
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
}

void Read()
{
    cin >> N;

    for(int i=0; i<N; i++)
    {
        cin >> W[i];
    }

    for(int i=0; i<N; i++)
    {
        cin >> M[i];
    }
}

bool Check(int Weight, int Cell)
{
    for(int i=0; i<N; i++)
    {
        Broken[i]=false;
        Total[i]=W[i];
    }

    Total[Cell]+=Weight/2;
    int Counter=0;
    cout << Weight << " " << Total[Cell] << '\n';

    while(Counter!=N)
    {
        bool Ok=false;

        for(int i=0; i<N; i++)
        {
            if(!Broken[i])
            {
                if(Total[i]>=M[i])
                {
                    Ok=true;
                    Broken[i]=true;
                    Counter++;

                    int L=-1, R=-1;

                    for(int j=i-1; j>=0; j--)
                    {
                        if(!Broken[j])
                        {
                            L=j;
                            break;
                        }
                    }

                    for(int j=i+1; j<N; j++)
                    {
                        if(!Broken[j])
                        {
                            R=j;
                            break;
                        }
                    }

                    if(L==-1 && R==-1)
                    {
                        return true;
                    }

                    if(L!=-1 && R!=-1)
                    {
                        Total[L]+=Total[i]/2;
                        Total[R]+=Total[i]/2;
                    }
                    else if(L==-1)
                    {
                        Total[R]+=Total[i];
                    }
                    else
                    {
                        Total[L]+=Total[i];
                    }
                }
            }
        }

        if(!Ok)
        {
            return false;
        }
    }

    return true;
}


void bs(int Start)
{
    int l=1, r=1000000000;
    int mid;
    int ans=-1;

    while(l<=r)
    {
        mid=(l+r)/2;

        if(Check(mid, Start))
        {
            ans=mid;
            r=mid-1;
        }
        else
        {
            l=mid+1;
        }
    }

    cout << ans << " ";
}

void Solve()
{
    for(int i=0; i<N; i++)
    {
        bs(i);
    }
}

int main()
{
    FastEJOI();
    Read();
    Solve();
    return 0;
}
