#include <bits/stdc++.h>
#define endl '\n'

using namespace std;

const int N_max = 2e5 + 1;
typedef long long ll;

int a[N_max];
unordered_map <int, ll> mp;
ll br = 1;

ll K;

void add(int k)
{
    ll br2 = 1;

    for (int i = 2; i <= k; i++)
    {
        while (k % i == 0 && k > 1)
        {
            mp[i]++;
            k /= i;
        }
    }

    if (k > 1)
    {
        mp[k]++;
    }

    for (auto j : mp)
    {
        ll y = 1e18 / br2 / (j.second + 1);

        if (y == 0)
        {
            br2 = K + 1;

            break;
        }

        br2 *= (j.second + 1);
    }

    br = br2;

    return;
}

void rem(int k)
{
    ll br2 = 1;

    for (int i = 2; i * i <= k; i++)
    {
        while (k % i == 0 && k > 0)
        {
            mp[i]--;
            k /= i;
        }
    }

    if (k > 1)
    {
        mp[k]--;
    }

    for (auto j : mp)
    {
        ll y = 1e18 / br2 / (j.second + 1);

        if (y == 0)
        {
            br2 = K + 1;

            break;
        }

        br2 *= (j.second + 1);
    }

    br = br2;

    return;
}

int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    int N;

    cin >> N >> K;

    for (int i = 1; i <= N; i++)
    {
        cin >> a[i];
    }

    ll ans = 0;
    int idx = 1;

    for (int i = 1; i <= N; i++)
    {
        for (int q = idx; q <= N; q++)
        {
            add(a[q]);

            if (br >= K)
            {
                ans += (N - q + 1);
                idx = q + 1;
                rem(a[i]);

                if (br >= K)
                {
                    ans++;
                }

                break;
            }
        }
    }

    cout << ans << endl;

    return 0;
}