#include <iostream>
#include <algorithm>
#include <vector>
using namespace std;
typedef long long ll;

int N;
ll sumB = 0, sumV = 0;
int a[1000000];

int bin_search(int x, int r) {
    int l = -1;

    while (l + 1 < r) {
        int m = (l + r) / 2;
        if (a[m] == x) {
            l = m;
            continue;
        }
        if (a[m] < x) {
            l = m;
        } else {
            r = m;
        }
    }
    return r;
}

bool greedy(int n) {
    int r = N;
    while (1) {
        int res = bin_search(n, r);
        r = res - 1;
        if (res == 0) {
            return 0;
        }
//        cout << n << " ";
        n -= a[res - 1];
        if (n == 0) {
//            cout << 0;
            return 1;
        }
    }
    return 0;
}

int main () {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    int n, m;
    cin >> n;
    for (int i = 0; i < n; i++) {
        cin >> a[i];
        sumB += a[i];
    }
    cin >> m;
    for (int i = 0; i < m; i++) {
        cin >> a[i + n];
        sumV += a[i + n];
    }
    sort(a, a + n + m);
    N = n + m;
    for (int i = 1; i < sumB + sumV; i++) {
        if (!greedy(i)) {
            cout << sumB - i;
            return 0;
        }
//        cout << "\n";
    }
    cout << 0;
}
