#include <iostream>
#include <vector>
using namespace std;
typedef unsigned long long ll;

ll sum = 1;
int a[200001];
int exp[200001];
bool composite[2000001];
vector<pair<int, int>> interval;
vector<int> prime;

void factor(int n, bool div) {
    for (int i = 0; i < 239; i++) {
        int cnt = 0;
        while (n % prime[i] == 0) {
            n /= prime[i];
            cnt++;
        }
        if (cnt != 0) {
            if (div) {
                cnt = -cnt;
            }
            sum /= exp[prime[i]] + 1;
            sum *= exp[prime[i]] + cnt + 1;
            exp[prime[i]] += cnt;
        }
    }
    if (n != 1) {
        sum /= exp[n] + 1;
        sum *= exp[n] + 2;
        exp[n]++;
    }
}

int main () {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    for (int i = 2; i * i < 2000001; i++) {
        if (!composite[i]) {
            for (int j = i * i; j < 2000001; j += i) {
                composite[j] = 1;
            }
        }
    }
    for (int i = 2; i < 1500; i++) {
        if (!composite[i]) {
            prime.push_back(i);
        }
    }
    int n, r = 0;
    ll k;
    cin >> n >> k;

    for (int i = 0; i < n; i++) {
        cin >> a[i];
    }
    factor(a[0], 0);
    for (int l = 0; l < n; l++) {
        while (sum < k && r + 1 < n) {
            r++;
            factor(a[r], 0);
//            cout << sum << "\n";
        }
        if (sum >= k) {
            interval.push_back(make_pair(l, r));
        }
        factor(a[l], 1);
    }
    ll ans = 0;
    for (int i = 0; i < interval.size(); i++) {
        int rbound = 0;
        if (i == interval.size() - 1) {
            rbound = n;
        } else {
            rbound = interval[i + 1].second;
        }
        ans += (ll)(interval[i].first + 1) * (rbound - interval[i].second);
    }
    cout << ans;
}
