#include <iostream>
#include <vector>
using namespace std;
typedef unsigned long long ll;

ll sum = 1;
ll a[200001];
ll exp[2000001];
bool composite[2000001];
vector<pair<ll, ll>> llerval;
vector<ll> prime;

void factor(ll n, bool div) {
    for (ll i = 0; i < prime.size(); i++) {
        ll cnt = 0;
        while (n % prime[i] == 0) {
            n /= prime[i];
            cnt++;
        }
        if (cnt != 0) {
            if (div) {
                cnt = -cnt;
            }
            sum /= exp[prime[i]] + 1;
            sum *= exp[prime[i]] + cnt + 1;
            exp[prime[i]] += cnt;
        }
    }
    if (n != 1) {
        sum /= exp[n] + 1;
        sum *= exp[n] + 2;
        exp[n]++;
    }
}

int main () {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    for (ll i = 2; i * i < 2000001; i++) {
        if (!composite[i]) {
            for (ll j = i * i; j < 2000001; j += i) {
                composite[j] = 1;
            }
        }
    }
    for (ll i = 2; i < 1500; i++) {
        if (!composite[i]) {
            prime.push_back(i);
        }
    }
    ll n, r = 0;
    ll k;
    cin >> n >> k;

    for (ll i = 0; i < n; i++) {
        cin >> a[i];
    }
    factor(a[0], 0);
    for (ll l = 0; l < n; l++) {
        while ((sum < k && r + 1 < n) || (l > r)) {
            r++;
            factor(a[r], 0);
//            cout << sum << "\n";
        }
        if (sum >= k) {
            llerval.push_back(make_pair(l, r));
        }
        factor(a[l], 1);
    }
    ll ans = 0;
    for (ll i = 0; i < llerval.size(); i++) {
        ll rbound = 0;
        if (i == llerval.size() - 1) {
            rbound = n;
        } else {
            rbound = llerval[i + 1].second;
        }
        ans += (ll)(llerval[i].first + 1) * (rbound - llerval[i].second);
    }
    cout << ans;
}
