# include <iostream>
# include <vector>
using namespace std;

const int MAX=2*1e6+11;
int p[MAX];
vector<int> d[MAX];
bool del[MAX];

void get_dels(int i)
{
    del[i]=1;
    int curr=i;
    while(curr!=1)
    {
        d[i].push_back(p[curr]);
        curr/=p[curr];
        //cout<<curr<<endl;
    }
}

void precomp()
{
    for(int i=2;i<=2*1e6;i++)
    {
        if(p[i]==0)
        {
            for(int j=i;j<=2*1e6;j+=i)
            {
                p[j]=i;
            }
        }
    }
}

const int MAXN=2*1e5+11;
int a[MAXN];
int br[MAX];
long long n,k,pr=1;
bool bigger=0;

void add_p(int curr)
{
    //cout<<"add:"<<curr<<"\n";
    bigger=0;
    long long pr2=pr;
    int id=-1;
    for(int x: d[curr])
    {
        id++;
        long long prev=pr2;
        pr2=pr2/(br[x]+1)*(br[x]+2);
        if(pr2<=prev)
        {
            //overflow
            bigger=1;
            for(int i=0;i<id;i++)
            {
                br[d[curr][i]]--;
            }
            return ;
        }
        br[x]++;
    }
    pr=pr2;
}

void rem_p(int curr)
{
    for(int x: d[curr])
    {
        pr=pr/(br[x]+1)*(br[x]);
        br[x]--;
    }
}

int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);cout.tie(0);

    precomp();
    cin>>n>>k;
    for(int i=1;i<=n;i++)
    {
        cin>>a[i];
    }

    long long ans=0,r=1;
    for(int i=1;i<=n;i++)
    {
        if(r<i) r=i;
        while(r<=n and pr<k or bigger)
        {
            if(del[a[r]]==0) get_dels(a[r]);
            add_p(a[r]);
            r++;
        }

        //cout<<i<<" "<<r<<" "<<k<<"\n";
        if(pr>=k and r<=n+1) ans+=n-r+2;
        if(r>i) rem_p(a[i]);
        if(bigger) r--;
    }

    cout<<ans<<"\n";
    return 0;
}
