# include <iostream>
using namespace std;

const int MAX=1111;
double w[MAX];
double m[MAX];
int n;

bool pos(int curr, double d)
{
    double lw=d,rw=0.0;
    int l=curr,r=curr+1;
    while(true)
    {
        bool f=0;
        //cout<<l<<" "<<lw<<" "<<r<<" "<<rw<<"\n";
        if(l!=0 and w[l]+lw>=m[l])
        {
            double nw=w[l]+lw;
            if(l==1) rw+=nw;
            else if(r==n+1) lw=nw;
            else
            {
                lw=nw/2;
                rw+=nw/2;
            }
            l--;
            f=1;
        }
        else if(r!=n+1 and w[r]+rw>=m[r])
        {
            double nw=w[r]+rw;
            if(r==n) lw+=nw;
            else if(l==0) rw=nw;
            else
            {
                lw+=nw/2;
                rw=nw/2;
            }
            r++;
            f=1;
        }

        if(f==0) break;
    }

    //cout<<l<<" "<<r<<"\n";

    return (l==0 and r==n+1);
}

int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);cout.tie(0);

    cin>>n;
    for(int i=1;i<=n;i++) cin>>w[i];
    for(int i=1;i<=n;i++) cin>>m[i];

    //cout<<pos(1,4)<<"\n";

    for(int i=1;i<=n;i++)
    {
        int l=m[i]-w[i],r=1e9,ans=1e9;
        while(l<=r)
        {
            int mid=(l+r)/2;
            if(pos(i,double(mid)))
            {
                ans=mid;
                r=mid-1;
            }
            else l=mid+1;
        }

        cout<<ans<<" ";
    }
    cout<<"\n";
    return 0;
}
