#include <bits/stdc++.h>
using namespace std;

const int MAXN=2*1e5+1;
const int MAXVALUE=2*1e6+1;
long long N, K;
long long A[MAXN];
long long Dividers[MAXVALUE];
vector<int> Divs[MAXN];

void FastEJOI()
{
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
}

void Canonicial(int Value, int Index)
{
    for(int Div=2; Div*Div<=Value; Div++)
    {
        while(Value%Div==0)
        {
            Divs[Index].push_back(Div);
            Value/=Div;
        }
    }

    if(Value!=1)
    {
        Divs[Index].push_back(Value);
    }
}

void Read()
{
    cin >> N >> K;

    for(int i=0; i<N; i++)
    {
        cin >> A[i];
        Canonicial(A[i], i);
    }
}

void Solve()
{
    long long R=0;
    unsigned long long Curr=1;
    long long Ans=0;

    for(int L=0; L<N; L++)
    {
        if(L>0)
        {
            for(auto& Div:Divs[L-1])
            {
                Curr-=(Curr/(Dividers[Div]+1));
                Dividers[Div]--;
            }
        }

        while(R<N && Curr<K)
        {
            ///cout << L << " " << R << " : " << Curr << '\n';
            for(auto& Div:Divs[R])
            {
                Curr+=(Curr/(Dividers[Div]+1));
                Dividers[Div]++;
            }

            R++;
        }

        if(Curr>=K)
        {
            Ans+=(N-R+1);
        }
    }

    cout << Ans;
}

int main()
{
    FastEJOI();
    Read();
    Solve();
    return 0;
}

