#include <bits/stdc++.h>
using namespace std;

const int MAXN=200001;
const int MAXVALUE=2000001;
long long N, K;
int A[MAXN];
int Divisor_Counter[MAXVALUE];
vector<int> Primes;
bool Prime[MAXVALUE];

void Sieve()
{
    Prime[0]=true;
    Prime[0]=true;

    for(int Div=2; Div*Div<MAXVALUE; Div++)
    {
        if(Prime[Div])
        {
            continue;
        }

        for(int Value=Div*Div; Value<MAXVALUE; Value+=Div)
        {
            Prime[Value]=true;
        }
    }

    for(int i=1; i<MAXVALUE; i++)
    {
        if(!Prime[i])
        {
            Primes.push_back(i);
        }
    }
}

void FastEJOI()
{
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
}

void Read()
{
    cin >> N >> K;

    for(int i=0; i<N; i++)
    {
        cin >> A[i];
    }
}

void Solve()
{
    long long Counter=1;
    long long Answer=0;
    int R=0;

    for(int L=0; L<N; L++)
    {
        if(L>0)
        {
            for(int Div=2; Div*Div<=A[L-1]; Div++)
            {
                while(A[L-1]%Div==0)
                {
                    Divisor_Counter[Div]--;
                    A[L-1]/=Div;
                }
            }

            if(A[L-1]!=1)
            {
                Divisor_Counter[A[L-1]]--;
            }
        }

        Counter=1;

        for(auto& Value:Primes)
        {
            Counter*=(Divisor_Counter[Value]+1);

            if(Counter>=K)
            {
                break;
            }
        }

        if(Counter>=K)
        {
            Answer+=(N-R+1);
            continue;
        }

        while(R<N && Counter<K)
        {
            int Copy=A[R];

            for(int Div=2; Div*Div<=Copy; Div++)
            {
                while(Copy%Div==0)
                {
                    Divisor_Counter[Div]++;
                    Copy/=Div;
                }
            }

            if(Copy!=1)
            {
                Divisor_Counter[Copy]++;
            }

            Counter=1;

            for(auto& Value:Primes)
            {
                Counter*=(Divisor_Counter[Value]+1);

                if(Counter>=K)
                {
                    break;
                }
            }

            ///cout << L << " " << R << " " << Counter << '\n';

            R++;
        }

        if(Counter>=K)
        {
            ///cout << L << " " << R << '\n';
            Answer+=(N-R+1);
        }
    }

    cout << Answer;
}

/*
0 3
1 4
2 5
3 6
4 7
5 8
*/

int main()
{
    FastEJOI();
    Read();
    Sieve();
    Solve();
    return 0;
}

