#include <bits/stdc++.h>
using namespace std;

const int MAXN=1001;
int N;
double W[MAXN], M[MAXN];
bool Broken[MAXN];

void FastEJOI()
{
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
}

void Read()
{
    cin >> N;

    for(int i=0; i<N; i++)
    {
        cin >> W[i];
    }

    for(int i=0; i<N; i++)
    {
        cin >> M[i];
    }
}

bool Check(double Weight, int Cell)
{
    if(Weight+W[Cell]<M[Cell])
    {
        return false;
    }

    Weight+=W[Cell];
    Broken[Cell]=true;

    int L=-1, R=-1;

    for(int i=Cell-1; i>=0; i--)
    {
        if(!Broken[i])
        {
            L=i;
            break;
        }
    }

    for(int i=Cell+1; i<N; i++)
    {
        if(!Broken[i])
        {
            R=i;
            break;
        }
    }

    if(L==-1 && R==-1)
    {
        return true;
    }

    if(L!=-1 && R!=-1)
    {
        if(Check(Weight/2, L) && Check(Weight/2, R))
        {
            return true;
        }

        return false;
    }
    else if(L==-1)
    {
        if(Check(Weight, R))
        {
            return true;
        }

        return false;
    }
    else
    {
        if(Check(Weight, L))
        {
            return true;
        }

        return false;
    }
}


void bs(int Start)
{
    int l=0, r=1e9;
    int mid;
    int ans=-1;

    while(l<=r)
    {
        mid=(l+r)/2;

        for(int i=0; i<N; i++)
        {
            Broken[i]=false;
        }

        if(Check(mid, Start))
        {
            ans=mid;
            r=mid-1;
        }
        else
        {
            l=mid+1;
        }
    }

    cout << ans << " ";

    Check(4, 1);
}

void Solve()
{
    for(int i=0; i<N; i++)
    {
        bs(i);
    }
}

int main()
{
    FastEJOI();
    Read();
    Solve();
    return 0;
}
