#include<bits/stdc++.h>

#define endl "\n"

using namespace std;

typedef long long ll;

const ll MAXN=1024;
const ll MAXS=4e18+10;

ll n;
double m[MAXN],w[MAXN],c[MAXN];
bool used[MAXN];
double ans[MAXN];
bool lampa;
ll fallen;

void read()
{
    cin>>n;
    for(ll i=1;i<=n;i++)
    {
        cin>>w[i];
    }
    for(ll i=1;i<=n;i++)
    {
        cin>>m[i];
    }
}

ll find_left(ll pos)
{
    for(ll i=pos-1;i>=1;i--)
    {
        if(!used[i])
            return i;
    }
    return -1;
}

ll find_right(ll pos)
{
    for(ll i=pos+1;i<=n;i++)
    {
        if(!used[i])
            return i;
    }
    return -1;
}

void tryfall(ll pos, double val)
{
    queue<pair<ll,double>>q;
    q.push(make_pair(pos, val));
    while(!q.empty())
    {
        if(fallen == n)
            return;
        pair<ll,double>p=q.front();
        q.pop();
        ll cur_pos=p.first;
        double cur_val=p.second;
        c[cur_pos]+=cur_val;
        ///cout<<"Current fall : "<<cur_pos<<" "<<cur_val<<" "<<c[cur_pos]<<" "<<m[cur_pos]<<endl;
        if(c[cur_pos]>=m[cur_pos])
        {
            fallen++;
            if(fallen == n)
                return;
            used[cur_pos]=1;
            ll left=find_left(cur_pos);
            ll right=find_right(cur_pos);
            if(left!=-1 && right!=-1)
            {
                q.push(make_pair(left,c[cur_pos]/2));
                q.push(make_pair(right,c[cur_pos]/2));
            }
            else if(left!=-1)
            {
                q.push(make_pair(left,c[cur_pos]));
            }
            else if(right!=-1)
            {
                q.push(make_pair(right,c[cur_pos]));
            }
        }
    }
}

void init()
{
    fallen=0;
    for(ll i=1;i<=n;i++)
    {
        used[i]=0;
        c[i]=w[i];
    }
}

bool check(ll pos, ll val)
{
    init();
    tryfall(pos, val);
    return fallen==n;
}

void solve()
{
    for(ll i=1;i<=n;i++)
    {
        for(ll j=m[i]-w[i];j<=MAXS;j++)
        {
            if(check(i,(double)(j)))
            {
                cout<<j<<" ";
                break;
            }
        }
    }
}

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);

    read();
    solve();

    return 0;
}
