#include<bits/stdc++.h>

#define endl "\n"

using namespace std;

typedef long long ll;

const ll MAXN=1024;
const ll MAXS=4e9+10;

ll n;
long long int m[MAXN],w[MAXN],c[MAXN];
bool used[MAXN];
long long int ans[MAXN];
bool lampa;
ll fallen;

void read()
{
    cin>>n;
    for(ll i=1;i<=n;i++)
    {
        cin>>w[i];
    }
    for(ll i=1;i<=n;i++)
    {
        cin>>m[i];
    }
}

ll find_left(ll pos)
{
    for(ll i=pos-1;i>=1;i--)
    {
        if(!used[i])
            return i;
    }
    return -1;
}

ll find_right(ll pos)
{
    for(ll i=pos+1;i<=n;i++)
    {
        if(!used[i])
            return i;
    }
    return -1;
}

void tryfall(ll pos, long long int val)
{
    queue<pair<ll,long long int>>q;
    q.push(make_pair(pos, val));
    while(!q.empty())
    {
        if(fallen == n)
            return;
        pair<ll,long long int>p=q.front();
        q.pop();
        ll cur_pos=p.first;
        long long int cur_val=p.second;
        c[cur_pos]+=cur_val;
        ///cout<<"Current fall : "<<cur_pos<<" "<<cur_val<<" "<<c[cur_pos]<<" "<<m[cur_pos]<<endl;
        if(c[cur_pos]>=m[cur_pos])
        {
            fallen++;
            if(fallen == n)
                return;
            used[cur_pos]=1;
            ll left=find_left(cur_pos);
            ll right=find_right(cur_pos);
            if(left!=-1 && right!=-1)
            {
                q.push(make_pair(left,c[cur_pos]/2));
                q.push(make_pair(right,c[cur_pos]/2));
            }
            else if(left!=-1)
            {
                q.push(make_pair(left,c[cur_pos]));
            }
            else if(right!=-1)
            {
                q.push(make_pair(right,c[cur_pos]));
            }
        }
    }
}

void tryfall2(ll pos, long long int val)
{
    if(fallen == n)
        return;
    c[pos]+=val;
    if(c[pos]>=m[pos])
    {
        fallen++;
        if(fallen==n)
            return;
        used[pos]=1;
        ll left=find_left(pos);
        ll right=find_right(pos);
        if(left!=-1&&right!=-1)
        {
            tryfall2(left, c[pos]/2);
            tryfall2(right, c[pos]/2);
        }
        else if(left!=-1)
        {
            tryfall2(left, c[pos]);
        }
        else if(right!=-1)
        {
            tryfall2(right, c[pos]);
        }
        if(fallen==n)
            return;
    }
}

void init()
{
    fallen=0;
    for(ll i=1;i<=n;i++)
    {
        used[i]=0;
        c[i]=w[i];
    }
}

bool check(ll pos, ll val)
{
    init();
    tryfall(pos, val);
    return fallen==n;
}

void solve()
{
    for(ll i=1;i<=n;i++)
    {
        ll left=m[i]-w[i]-1, right=MAXS, mid;
        while(right-left>1)
        {
            mid=left+(right-left)/2;
            if(check(i,(long long int)(mid)))
                right=mid;
            else
                left=mid;
        }
        cout<<right<<" ";
    }
    cout<<endl;
}

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);

    read();
    solve();

    return 0;
}
